Summary: Assistive Technologies (AT) for blind and visually impaired person.
Name: gnopernicus
Version: 0.7.1
Release: 5mdk
License: LGPL
Group: Accessibility
URL: http://www.baum.ro/gnopernicus.html
Source0: ftp://ftp.gnome.org/pub/GNOME/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gnome-speech-devel
BuildRequires: gnome-mag-devel
BuildRequires: at-spi-devel
BuildRequires: scrollkeeper
BuildRequires: linc-devel
BuildRequires: libgnomeui2-devel
BuildRequires: libglade2.0-devel
Requires: libgail-gnome
PreReq: scrollkeeper

%description
Gnopernicus  provides Assistive Technologies (AT) for blind and 
visually impaired person. 

%package devel
Summary:	Static libraries, include files for gnopernicus
Group:		Development/GNOME and GTK+
Requires:	%{name} = %{version}-%{release}

%description devel
Gnopernicus  provides Assistive Technologies (AT) for blind and 
visually impaired person. 

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
	needs="X11" \
	section="Applications/Accessibility" \
	title="Gnopernicus" \
	longtitle="Screen Reader and Magnifier" \
	command="%{_bindir}/gnopernicus" \
	icon="/usr/share/pixmaps/gnopernicus.png" \
	startup_notify="true"
EOF

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT
%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
for schema in brlmonitor gnopernicus remote; do 
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$schema.schemas > /dev/null
done
%{update_menus}

%preun
if [ "$1" = "0" ]; then
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` 
for schema in brlmonitor gnopernicus remote; do 
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$schema.schemas > /dev/null
done
fi

%postun 
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q|| true ; fi
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_sysconfdir}/gconf/schemas/*
%config(noreplace) %{_sysconfdir}/gnopernicus-1.0
%{_bindir}/*
%dir %{_libdir}/gnopernicus-1.0
%{_libdir}/gnopernicus-1.0/*.so.*
%{_datadir}/gnopernicus
%{_datadir}/pixmaps/*
%{_datadir}/omf/*
%{_datadir}/applications/*
%{_menudir}/*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*
%{_libdir}/gnopernicus-1.0/*.so
%{_libdir}/gnopernicus-1.0/*.la

%changelog
* Fri Mar 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-5mdk
- Enforce libgail-gnome dependency

* Wed Jan 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-4mdk
- Fix menu again

* Thu Jan 22 2004 David Baudens <baudens@mandrakesoft.com> 0.7.1-3mdk
- Fix menu

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 0.7.1-2mdk
- rebuild for new pkgconfig Requires

* Thu Nov 06 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-1mdk
- Release 0.7.1

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.0-1mdk
- Release 0.7.0

* Thu Sep 04 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.6-3mdk
- Fix BuildRequires

* Tue Aug 26 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3.6-2mdk
- BuildRequires

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.6-1mdk
- Release 0.3.6

* Wed Jul 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.4-1mdk
- Release 0.3.4

* Tue Jun 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.3-1mdk
- Release 0.3.3

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.2-1mdk
- Release 0.3.2

* Fri May  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3.1-1mdk
- First Mandrake package



